Some users may have issues creating a community account. For more information, please click here.

Microsoft SQL Server commercial application being recognized when only client is installed.

RamyaJagadeesh
Flexera
Flexera
3 1 803

Microsoft SQL Server(Unknown Component) is being recognized when only SQL Server Management Studio is installed

Description -
When Microsoft SQL Server Management Studio is installed, there are two entries in the add/remove programs which manifests into installer evidence – one with the footprints of Management Studio and another just states SQL Server.

rjagadeesh_0-1584608742932.jpeg

According to the details in the evidence, ARL recognized both SQL Server Management Studio and SQL Server (Unknown Component). While Management Studio was an expected title, SQL Server(Unknown Component) which is classified as commercial, is not anticipated and hence a false recognition.

Content Team has investigated this scenario and has identified a differentiating pattern for an evidence extracted from a Management Studio installation versus an actual SQL Server installation.

Fix - 
This discrepancy in recognition has been fixed for SQL Server Management Studio versions 2016 and 2017 and is scheduled for the upcoming ARL release on 20th March 2020.

Tags (2)
1 Comment
sascha_pudenz
Flexera beginner

Hi,

 

it looks like this fix leads to another issue unfortunately. The inventory of an according SQL Server does not show the SQL (unknown component) installation anymore - as designed.

However, from now on, it is hard to identify on which servers a WMI-namespacing extension for retrieving the SQL server edition is required, since no commercial SQL Server product is shown on these servers. I just can see SQL Server products listed as components, which do not indicate that there is a unknown edition of SQL Server installed.

Hope I don't have a wrong understanding of what should be the intention of this update.

Is there another way for identifying on which Servers a SQL Server is installed and which might need a WMI-extension for retrieving the correct edition.

 

Best regards

Sascha